get_mealplan:
  fields:
    config_entry_id:
      required: true
      selector:
        config_entry:
          integration: mealie
    start_date:
      selector:
        date:
    end_date:
      selector:
        date:

get_recipe:
  fields:
    config_entry_id:
      required: true
      selector:
        config_entry:
          integration: mealie
    recipe_id:
      required: true
      selector:
        text:

import_recipe:
  fields:
    config_entry_id:
      required: true
      selector:
        config_entry:
          integration: mealie
    url:
      required: true
      selector:
        text:
    include_tags:
      selector:
        boolean:

set_random_mealplan:
  fields:
    config_entry_id:
      required: true
      selector:
        config_entry:
          integration: mealie
    date:
      selector:
        date:
    entry_type:
      selector:
        select:
          options:
            - breakfast
            - lunch
            - dinner
            - side
          translation_key: mealplan_entry_type

set_mealplan:
  fields:
    config_entry_id:
      required: true
      selector:
        config_entry:
          integration: mealie
    date:
      selector:
        date:
    entry_type:
      selector:
        select:
          options:
            - breakfast
            - lunch
            - dinner
            - side
          translation_key: mealplan_entry_type
    recipe_id:
      selector:
        text:
    note_title:
      selector:
        text:
    note_text:
      selector:
        text:
